Mark all your notifications read
POST /api/member/notifications/read. Mark all your notifications read. Headless LMS Notifications API reference.
For any signed-in person in the organization. Returns how many were unread.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/notifications/read"{ "updated": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Mark one of your notifications read POST
POST /api/member/notifications/{notificationId}/read. Mark one of your notifications read. Headless LMS Notifications API reference.
Read how you are told about each kind of notification GET
GET /api/member/notification-preferences. Read how you are told about each kind of notification. Headless LMS Notifications API reference.